FINGER(1)

NAME
f, finger - user information lookup program

SYNOPSIS
f [ options ] [ name ... ]
   or
finger [ options ] [ name ... ]

DESCRIPTION
By default finger lists the login name, full name, terminal name, and write status (producing an asterisk (*) before the terminal name if write permission is denied), idle time, login time, and office location and phone number (if known) for each current UNIX user. (Idle time is minutes if a single integer is given, hours and minutes with a colon (:), or days and hours if d is given.)

A longer format is used when a list of people's names is given. (Account names as well as first and last names of users are accepted.) This format is multiline, and includes all the information described above as well as the user's home directory, login shell, and login universe, any plan the user has placed in the file .plan in the home directory, and the project on which the user is working from the file .project, also in the home directory.

Finger may be used to lookup users on a remote machine. The format is to specify the user as ``user@host.'' If the user name is left off, the standard format listing is provided on the remote machine. Note that this feature of finger only works when invoked with the "-n" flag.

OPTIONS

-m  Match arguments only on user name.

-l  Force long output format.

-p  Suppress printing of the .plan files.

-s  Force short output format.

-q  Give quick list of users.

-i  Give quick list with idle times.

-b  Briefer long form list of users.

-f  Suppress printing of column headings.

-h  Suppress printing of .project files.

-w  Narrow short form list of users.

-n  Act like 4.3 BSD finger, including network finger support. By default finger will behave as it did in older version of DYNIX.

FILES
/etc/utmp    who file
/etc/passwd    for users names, offices, ...
/usr/adm/lastlog    last login times
~/.plan    plans
~/.project    projects

SEE ALSO
w(1), who(1), chfn(1)

AUTHOR
Earl T. Cohen

BUGS
Only the first line of the .project file is printed.

There is no way to pass arguments to the remote machine as finger uses an internet standard port.

Finger is not case sensitive.